List background tasks
GET
/background-tasks/
const url = 'https://api.semantico.ai/api/v1/background-tasks/?status=pending';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.semantico.ai/api/v1/background-tasks/?status=pending' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”task_type
string
status
string
upload_group_id
integer
Responses
Section titled “Responses”Background tasks
Media typeapplication/json
Array<object>
object
id
integer
celery_task_id
string
task_type
string
task_type_label
string
status
string
progress
object
current
integer
total
integer
percentage
integer | null
message
string
timing
object
created_at
string format: date-time
started_at
string | null format: date-time
finished_at
string | null format: date-time
updated_at
string format: date-time
elapsed_seconds
integer
error
object | null
result
object | null
resource
object | null
metadata
object
Example
[ { "status": "pending" }]